tsig_struct Struct Reference

`#include <tsig.h>`

## Data Fields

tsig_type * | next
const char * | name
const char * | algorithm
const char * | secret
tsig_key_type * | key

## Detailed Description

Definition at line 110 of file tsig.h.

## Field Documentation

## algorithm

const char* tsig_struct::algorithm

Definition at line 113 of file tsig.h.

Referenced by tsig_cleanup(), and tsig_create().

## key

tsig_key_type* tsig_struct::key

Definition at line 115 of file tsig.h.

Referenced by tsig_create().

## name

const char* tsig_struct::name

Definition at line 112 of file tsig.h.

Referenced by tsig_cleanup(), tsig_create(), and tsig_lookup_by_name().

## next

tsig_type* tsig_struct::next

Definition at line 111 of file tsig.h.

Referenced by tsig_cleanup(), tsig_create(), and tsig_lookup_by_name().

## secret

const char* tsig_struct::secret

Definition at line 114 of file tsig.h.

Referenced by tsig_cleanup(), and tsig_create().

The documentation for this struct was generated from the following file:

- src/wire/tsig.h